import { API_CONFIG as e } from "../constants/server.constants.mjs";
import { SERVER_URL as t } from "./getServerURL.mjs";
import { httpClient as n } from "../data-structures/http/HttpClient.mjs";
import "../data-structures/http/index.mjs";
//#region libs/shared/common/src/API/kycCalls.ts
async function r(r) {
	return n.post(`${t}${e.ROUTES.checkKycStatus}`, { ethereumAddress: r });
}
async function i(r, i, a) {
	return n.post(`${t}${e.ROUTES.startUserVerification}`, {
		ethereumAddress: r,
		verificationSessionId: i,
		verificationType: a
	});
}
async function a(r, i, a, o) {
	return n.post(`${t}${e.ROUTES.startReclaimVerification}`, {
		ethereumAddress: i,
		providerId: r,
		userSignature: a,
		withSignature: o
	});
}
var o = async () => (await n.get(`${t}${e.ROUTES.zkMeAccessToken}`)).accessToken;
//#endregion
export { a as getReclaimVerificationRequest, r as getUserKycStatus, o as getZkMeAccessToken, i as setAiPriseVerificationUrl };
